> ## Documentation Index
> Fetch the complete documentation index at: https://docs.qcall.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Inbound

> Creates a new inbound assistant. An inbound assistant binds an existing assistant to a dialer phone number, so that incoming calls placed to that number are handled automatically by the selected assistant. **Note:** to receive incoming calls you must also configure your telephony provider (e.g. Twilio) to send call webhooks to `https://api.qcall.ai/inbound`.

Creates a new inbound dialer.

An inbound dialer binds an existing assistant (or IVR assistant) to a dialer phone number, so that incoming calls placed to that number are handled automatically by the selected assistant.

Set `notification` to `true` to enable notifications for incoming calls handled by this inbound assistant.

<Note title="Heads up">
  To actually receive incoming calls, configure your telephony provider (e.g. Twilio) to send call webhooks to `https://api.qcall.ai/inbound`. See [Twilio's TwiML request documentation](https://www.twilio.com/docs/voice/twiml#twilios-request-to-your-application) for more details.
</Note>


## OpenAPI

````yaml POST /inbound/create
openapi: 3.0.1
info:
  title: QCall Ai API
  description: >-
    A sample API that uses a campaign store as an example to demonstrate
    features in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.qcall.ai/api/v1
security:
  - apiKeyAuth: []
paths:
  /inbound/create:
    post:
      summary: Create an inbound assistant
      description: >-
        Creates a new inbound assistant. An inbound assistant binds an existing
        assistant to a dialer phone number, so that incoming calls placed to
        that number are handled automatically by the selected assistant.
        **Note:** to receive incoming calls you must also configure your
        telephony provider (e.g. Twilio) to send call webhooks to
        `https://api.qcall.ai/inbound`.
      requestBody:
        description: Inbound assistant to add
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/NewInbound'
        required: true
      responses:
        '200':
          description: Inbound assistant response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Inbound'
        '400':
          description: unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    NewInbound:
      required:
        - name
        - assistant_id
        - dialer_id
      type: object
      properties:
        name:
          description: The name of the inbound assistant
          type: string
        assistant_id:
          description: >-
            ID of the assistant (or IVR assistant) that will handle the inbound
            calls
          type: string
        dialer_id:
          description: ID of the dialer whose phone number receives the inbound calls
          type: string
        notification:
          description: >-
            Whether to enable notifications for incoming calls handled by this
            inbound assistant
          type: boolean
          default: false
    Inbound:
      required:
        - id
        - name
        - assistant_id
        - dialer_id
      type: object
      properties:
        id:
          description: Unique identifier of the inbound assistant
          type: string
        name:
          description: The display name of the inbound assistant
          type: string
        assistant_id:
          description: ID of the assistant that answers the inbound calls
          type: string
        assistant_name:
          description: Name of the linked assistant
          type: string
        dialer_id:
          description: ID of the dialer that provides the phone number
          type: string
        phone_number:
          description: Phone number the inbound assistant is attached to
          type: string
        incoming_count:
          description: Number of incoming calls handled by this inbound assistant
          type: integer
          format: int32
        notification:
          description: >-
            Whether notifications are enabled for incoming calls handled by this
            inbound assistant
          type: boolean
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      name: x-api-key
      in: header

````